// Chap10Demo.h : Declaration of the CChap10Demo

#ifndef __CHAP10DEMO_H_
#define __CHAP10DEMO_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CChap10Demo
class ATL_NO_VTABLE CChap10Demo : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CChap10Demo, &CLSID_Chap10Demo>,
	public IChap10Demo
{
public:
	CChap10Demo()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_CHAP10DEMO)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CChap10Demo)
	COM_INTERFACE_ENTRY(IChap10Demo)
END_COM_MAP()

// IChap10Demo
public:
	STDMETHOD(DoSomething)(/*[in]*/ long InputParm, /*[out, retval]*/ long *pOutputParm);

};

#endif //__CHAP10DEMO_H_
